_parser_mapping = {0: "base",
                   43: "v43", # 2.5.0 GA
                   103: "v103",
                   113: "v113",}

class UnknownVersionException(Exception):
    pass

def _getClosestMatch(version):
    key = max([k for k in _parser_mapping.keys() if k <= version])
    return _parser_mapping[key]

def getVersionParser(version, fp, strict=False, *args, **kwargs):
    try:
        if strict:
            impl = _parser_mapping.get(version)
            if impl is None:
                raise ImportError()
        else:
            impl = _getClosestMatch(version)

        mod = __import__(UnknownVersionException.__module__ + "." + impl,
                         fromlist=["DumpParser"])
        cls = mod.DumpParser
    except ImportError, e:
        cls = None

    if cls is None:
        raise UnknownVersionException(version)
    return cls(fp, *args, **kwargs)
