# Expected events:
# In each pass, the simulator divides the VMs to be powered on in that pass
# into N atomic groups and creates random dependency among groups and within 
# groups. The order of the VMs in the list is the same as the order of the 
# deplayplace events.
# In pass 1, all requested VMs are powered on. The 4 AffineToFirst VMs are on 
# the same host as VariableLoad1. The 4 PinnedInitPlace VMs are on host 
# DrmMidCpu1.
# In pass 3, 5 out of the 6 FullBusyLargeMin VMs fail the admission control,
# causing the other 1 to be pruned. The 6 
# FullBusyMidMin VMs should power on. 
# In pass 4, 1 out of the 6 PinnedInitPlace VMs fails to power on, causing the
# other 2 PinnedInitPlace VMs in its group to be pruned. 
# The AffineToFirst VMs may be pruned as 
# well if they depend on the PinnedInitPlace VMs.

NumAtomicGroups=4

vm VariableLoad  	4 user delayplace # vms 1 - 4, group 1
vm AffineToFirst	4 user delayplace # vms 5 - 8, group 2
vm PinnedInitPlace	4 user delayplace # vms 9 - 12, group 3
vm FullBusyLargeMin     4 user delayplace # vms 13 - 16, group 4

event:place VariableLoad1 1 randhost
event:place VariableLoad2 1 randhost
event:place VariableLoad3 1 randhost
event:place VariableLoad4 1 randhost

event:place AffineToFirst5 1 randhost
event:place AffineToFirst6 1 randhost
event:place AffineToFirst7 1 randhost
event:place AffineToFirst8 1 randhost

event:place PinnedInitPlace9 1 DrmMidCpu1
event:place PinnedInitPlace10 1 DrmMidCpu1
event:place PinnedInitPlace11 1 DrmMidCpu1
event:place PinnedInitPlace12 1 DrmMidCpu1

event:place FullBusyLargeMin13 1 randhost
event:place FullBusyLargeMin14 1 randhost
event:place FullBusyLargeMin15 1 randhost
event:place FullBusyLargeMin16 1 randhost

group MidMinGroup parent user

vm FullBusyMidMin       6 parent delayplace # vms 17 - 22, groups 1-2 in pass 3
vm FullBusyLargeMin  	6 parent delayplace # vms 23 - 28, groups 3-4 in pass 3
vm PinnedInitPlace	6 user delayplace   # vms 29 - 34, groups 1-2 in pass 4
vm AffineToFirst	6 user delayplace   # vms 35 - 40, groups 3-4 in pass 4

event:place PinnedInitPlace29 4 DrmMidCpu1
event:place PinnedInitPlace30 4 DrmMidCpu1
event:place PinnedInitPlace31 4 DrmMidCpu1
event:place PinnedInitPlace32 4 DrmMidCpu1
event:place PinnedInitPlace33 4 DrmMidCpu1
event:place PinnedInitPlace34 4 DrmMidCpu1

event:place AffineToFirst35 4 randhost
event:place AffineToFirst36 4 randhost
event:place AffineToFirst37 4 randhost
event:place AffineToFirst38 4 randhost
event:place AffineToFirst39 4 randhost
event:place AffineToFirst40 4 randhost

event:place FullBusyMidMin17 3 randhost
event:place FullBusyMidMin18 3 randhost
event:place FullBusyMidMin19 3 randhost
event:place FullBusyMidMin20 3 randhost
event:place FullBusyMidMin21 3 randhost
event:place FullBusyMidMin22 3 randhost

event:place FullBusyLargeMin23 3 randhost
event:place FullBusyLargeMin24 3 randhost
event:place FullBusyLargeMin25 3 randhost
event:place FullBusyLargeMin26 3 randhost
event:place FullBusyLargeMin27 3 randhost
event:place FullBusyLargeMin28 3 randhost

EnablePowerPerformance = 0
numrounds=6
