# In pass 1, ensure placement host != DrmBigCpu2
placementHost = RegxExtract("vm:ThirdWorkload3 on host:(\S+)", "pass==1")
if placementHost == 'DrmBigCpu2':
   print "Client vm should not be placed on DrmBigCpu2"
   fail = 1

# In pass 2, ensure fault for not evacuating client ThirdWorkload3 from host
if not RegxMatch("DrmFault: reason hostMaint, vm ThirdWorkload3", "pass==2"):
   print "Fault should have been issued for not evacuating client vm"
   fail = 1
# In pass 2, ensure no fault for not evacuating agent PinnedBigCpu1Vm1
if RegxMatch("DrmFault: reason hostMaint, vm PinnedBigCpu1Vm1", "pass==2"):
   print "Fault should not have been issued for not evacuating agent vm"
   fail = 1

# In pass 3, one evacuation recommendation (only for client, not for agent)
recs = RegxExtract("Executing recommendation: hostMaint, 5 stars", "pass==3")
if len(recs) != 1:
   print len(recs), " evacuation recommendations in pass 3, expecting 1"
   fail = 1

# In pass 6, pinned agent vm doesn't prevent getting power-off for DrmBigCpu1
if not RegxMatch("host-rec, powerOffHost DrmBigCpu1", "pass==6"):
   print "Should have gotten host power-off rec in pass 6"
   fail = 1

# In pass 8, check placement on standby DrmBigCpu1 fails (agent vm reservations)
if not RegxMatch("DrmFault: reason powerOnVm, vm PinnedBigCpu1Vm4", "pass==8"):
   print "Fault should be issued for not placing client vm due to agent resv"
   fail = 1

# In pass 9, check placement of smaller client on standby DrmBigCpu1 succeeds
if not RegxMatch("vm:PinnedBigCpu1Vma5 on host:DrmBigCpu1", "pass==9"):
   print "Client vm should be placed on DrmBigCpu1"
   fail = 1

#Ensure there is no host admission violation
if (not modifiers.has_key("SkipHostAdmission")) and\
   (RegxMatch(": host admission violated: ")):
   print "Host admission violated"
   fail = 1
