# Ensure that there are no power-offs in pass 1
if RegxMatch("host-rec, powerOff", "pass == 1"):
   print "Unexpected power-off in pass 1"
   fail = 1

# Ensure that there are no power recs after pass 4
if RegxMatch("Power prop", "pass > 4"):
   print "Unexpected power proposals after pass 4"
   fail = 1

# Ensure that there are no migrations after pass 5
if RegxMatch("moving vm ", "pass > 5"):
   print "Unexpected vMotion recommendation after pass 5"
   fail = 1

#Ensure there is no host admission violation
if (not modifiers.has_key("SkipHostAdmission")) and\
   (RegxMatch(": host admission violated: ")):
   print "Host admission violated"
   fail = 1

# Ensure that min active capacity reached in passes 3 & 4
activeMemCap = RegxExtract("LogActiveCapacity: cpu \S+ mem (\d+)")
activeCpuCap = RegxExtract("LogActiveCapacity: cpu (\d+) mem \S+")
for p in range(3,6):
   if int(activeMemCap[p]) < 4096:
      print "failure to meet minimum active mem capacity in pass %d"%(p+1)
      fail = 1
   if p > 3 and int(activeCpuCap[p]) < 12000: 
      print "failure to meet minimum active cpu capacity in pass %d"%(p+1)
      fail = 1

