# In pass 1, the 4 AffineToFirst VMs should be on the same host as
# VariableLoad1.

VariableLoadHost1 = RegxExtract("vm:VariableLoad1 on host:(\S+)", "pass==1")[0]
AffineToFirstHosts = RegxExtract("vm:AffineToFirst\d+ on host:(\S+)", "pass==1")
for host in AffineToFirstHosts:
	if host != VariableLoadHost1:
		print "AffineToFirst VM on host ", host, ", should be on ", VariableLoadHost1
		fail = 1

# The 4 PinnedInitPlace VMs should be on host DrmMidCpu1.

PinnedInitPlaceHosts = RegxExtract("vm:PinnedInitPlace\d+ oxbn host:(\S+)", "pass==1")

for host in PinnedInitPlaceHosts:
	if host != "DrmMidCpu1":
		print "PinnedInitPlace VM on host ", host, ", should be on DrmMidCpu1"
		fail = 1

# 4 FullBusyLargeMin VMs should be powered on.

FullBusyLargeMinHosts = RegxExtract("vm:FullBusyLargeMin\d+ on host:(\S+)", "pass==1")

if len(FullBusyLargeMinHosts) != 4:
	print len(FullBusyLargeMinHosts), " instead of 4 FullBusyLargeMin VMs were powered on in pass 1"
	fail = 1

# In pass 3, 5 out of the 6 FullBusyLargeMin VMs fail the admission control.

RemovedFullBusyLargeMin = RegxExtract("VM FullBusyLargeMin(\d+) failed admission check", "pass==3")

if len(RemovedFullBusyLargeMin) != 5:
	print len(RemovedFullBusyLargeMin), " instead of 5 FullBusyLargeMin VMs failed admission control in pass 3"
	fail = 1

# The rest of FullBusyLargeMin VMs are pruned due to atomicity.

RemovedFullBusyLargeMin = RegxExtract("Power-on of FullBusyLargeMin(\d+) is cancelled in domain config", "pass==3")

if len(RemovedFullBusyLargeMin) != 1:
	print len(RemovedFullBusyLargeMin), " instead of 1 FullBusyLargeMin VMs were pruned in pass 3"
	fail = 1

# The FullBusyMidMin VMs should power on.

FullBusyMidMinHosts = RegxExtract("vm:FullBusyMidMin\d+ on host:(\S+)", "pass==3")
if len(FullBusyMidMinHosts) != 6:
	print len(FullBusyMidMinHosts), " instead of 6 FullBusyMidMin VMs were powered on in pass 3"
	fail = 1

# One of the 6 PinnedInitPlace VMs fails to power on, causing all
# 6 PinnedInitPlace VMs to be pruned. 

FailedPinnedInitPlace = RegxExtract("PinnedInitPlace(\d+), foundHost none", "pass==4")

if len(FailedPinnedInitPlace) != 1:
	print len(FailedPinnedInitPlace), " instead of 1 PinnedInitPlace VMs fails to be placed in pass 4"
	fail = 1

RemovedPinnedInitPlace = RegxExtract("Power-on of PinnedInitPlace(\d+) is cancelled in algorithm", "pass==4")

if len(RemovedPinnedInitPlace) != 2:
	print len(RemovedPinnedInitPlace), " instead of 2 PinnedInitPlace VMs were pruned in pass 4"
	fail = 1

# The AffineToFirst VMs may be pruned as 
# well if they depend on the PinnedInitPlace VMs.

RemovedAffineToFirst = RegxExtract("Power-on of AffineToFirst(\d+) is cancelled in algorithm", "pass==4")

if len(RemovedAffineToFirst) != 6:
	AffineToFirstHosts = RegxExtract("vm:AffineToFirst\d+ on host:(\S+)", "pass==4")
	# if the group is not cancelled, all 10 VMs should be placed including 4 placed in pass 1
	if len(AffineToFirstHosts) != 10:
		print len(AffineToFirstHosts), " instead of 10 AffineToFirst VMs were placed in pass 4"
		fail = 1

# For pinned VM, check no placement faults produced for nonregistered hosts
host = RegxExtract("DrmFault: reason powerOnVm, vm PinnedInitPlace33, host (\S+), fault .+InsufficientHostCpuCapacityFault*", "pass==4")
size = len(host)
if size != 1 or host[0] != "DrmMidCpu1":
   print "Faults on nonregistered hosts for pinned VM PinnedInitPlace33"
   fail = 1

#Ensure there is no host admission violation
if (not modifiers.has_key("SkipHostAdmission")) and\
   (RegxMatch(": host admission violated: ")):
   print "Host admission violated"
   fail = 1

