# Ensure DrmSmallCpu3 (requiring VM evac) is mapped from enter-sb to sb in pass 1
if not RegxMatch("mapping DrmSmallCpu3 enterSB->SB", "pass == 1"):
   print "Expected: DrmSmallCpu3 enterSB->SB in pass 1"
   fail = 1

# Ensure that evacuation respects min-powered-on-capacity in pass 2
if not RegxMatch("power on host DrmSmallCpu3", "pass == 2"):
   print "Expected: DrmSmallCpu3 power-on in pass 2"
   fail = 1
if not RegxMatch("power on host DrmSmallCpu4", "pass == 2"):
   print "Expected: DrmSmallCpu4 power-on in pass 2"
   fail = 1

# Ensure that no [evac] moves occur in passes 4 or 5
if RegxMatch("moving vm ", "pass >= 4"):
   if not RegxMatch("Executing recommendation: fairnessCpuAvg", "pass >= 4") \
      and not RegxMatch("Executing recommendation: shareSetup", "pass >= 4"):
      errors.append("Unexpected VM move recommended on or after pass 4")
      fail = 1

# Ensure advisory fault InsufficientFailoverResourcesFault reported in pass 4
if not RegxMatch("InsufficientFailoverResourcesFault", "pass == 4"):
   print "Expected: InsufficientFailoverResourcesFault in pass 4"
   fail = 1

# Ensure advisory fault InsufficientFailoverResourcesFault not reported in pass 5
if RegxMatch("InsufficientFailoverResourcesFault", "pass == 5"):
   print "Expected: InsufficientFailoverResourcesFault in pass 5"
   fail = 1
# Ensure advisory fault InsufficientStandbyCpuResource reported in pass 5
if not RegxMatch("InsufficientStandbyCpuResource", "pass == 5"):
   print "Expected: InsufficientStandbyCpuResource fault in pass 5"
   fail = 1

# Ensure advisory fault NoActiveHostInCluster reported in pass 6
if not RegxMatch("NoActiveHostInCluster", "pass == 6"):
   print "Expected: NoActiveHostInCluster fault in pass 6"
   fail = 1

#Ensure there is no host admission violation
if (not modifiers.has_key("SkipHostAdmission")) and\
   (RegxMatch(": host admission violated: ")):
   print "Host admission violated"
   fail = 1

