# Ensure vm UniIdle2 not placed on ok host DrmSmallCpu1; vm incompat w/that host
placementHost = RegxExtract("vm:UniIdle2 on host:(\S+)", "pass==2")
if placementHost == 'DrmSmallCpu1':
   print "Expected: UniIdle placed in DrmSmallCpu1 in pass 2"
   fail = 1

# Ensure fault issued in pass 3; vm UniIdle1 now only compatible w/host entering maint
if not RegxMatch("DrmFault: reason hostMaint, vm UniIdle1", "pass==3"):
   print "Expected: Evacuation fault for UniIdle1 in pass 3"
   fail = 1

# Ensure migration issued in pass 4 to correct vm/host affin rule vio for vm UniIdle1
if not RegxMatch("vmHostHardAffinity move: mand-rec, move UniIdle1", "pass==4"):
   print "Expected: Move recommended to fix hard affinity violation in pass 4"
   fail = 1

# Ensure fault issued in pass 5; cannot correct VM/host affin rule vio for vm UniIdle1
if not RegxMatch("DrmFault: reason vmHostHardAffinity, vm UniIdle1", "pass==5"):
   print "Expected: Hard affinity violation fault in pass 5"
   fail = 1

# Ensure fault issued in pass 6; cannot correct VM/host affin rule vio for vm UniIdle1
if not RegxMatch("DrmFault: reason vmHostSoftAffinity, vm UniIdle1", "pass==6"):
   print "Expected: Soft affinity violation fault in pass 6"
   fail = 1

# Ensure migration issued in pass 7 to correct vm/host affin rule vio for vm UniIdle1
if not RegxMatch("vmHostSoftAffinity move: mand-rec, move UniIdle1", "pass==7"):
   print "Expected: Move recommended to fix softAffinity violation in pass 7"
   fail = 1

# Ensure fault issued in pass 8; evac move requires soft VM/host affin rule vio for vm UniIdle1
if not RegxMatch("DrmFault: reason vmHostSoftAffinity, vm UniIdle1", "pass==8"):
   print "Expected: Soft affinity violation fault in pass 8"
   fail = 1

# Ensure fault issued in pass 9; overutil requires soft VM/host affin rule vio for vm UniIdle1
if not RegxMatch("DrmFault: reason vmHostSoftAffinity, vm UniIdle1", "pass==9"):
   print "Expected: Soft affinity violation fault in pass 9"
   fail = 1

# Ensure UniIdle5 placed on soft-rule affine host DrmSmallCpu3 in pass 10,
# in compliance with soft VM/host affinity rule.
if not RegxMatch("move UniIdle5 from nowhere to DrmSmallCpu3", "pass==10"):
   print "Expected: UniIdle5 placed in the affined host in pass 10"
   fail = 1

# In pass 11, cannot place UniIdle6 on DrmSmallCpu2 in compliance with soft
# VM/host affinity rule due to anti-affinity violation, so rule is dropped
# during placement.
if not RegxMatch("move UniIdle6 from nowhere to DrmSmallCpu3", "pass==11"):
   print "Expected: Soft rule dropped in pass 11"
   fail = 1

# In pass 12 and 13, cluster is overutilized; in pass 12, soft rules are dropped
# for this reason, but in pass 13, they are not because advanced option disables
# soft rule dropping for this reason.
if not RegxMatch("Dropping soft VM/host rules and quarantine mode rules because cluster is overutilized", "pass==12"):
   print "Expected: Soft rules should be dropped in pass 12"
   fail = 1

if RegxMatch("Dropping soft VM/host rules and quarantine mode rules because cluster is overutilized", "pass==13"):
   print "Expected: Soft rules should be dropped in pass 13"
   fail = 1
