#beginResultCriteria

# IdleMinInitPlace vms should be powered on in pass 2
idlemins = RegxExtract("vm:IdleMinInitPlace(\d+) on host:(\S+)", "pass==2")
if len(idlemins) != 15:
   print "Expected: 15 IdleMinInitPlace vms are powered on in pass 2"
   fail = 1

# IdleLargeMinInitPlace vms should be powered on in pass 3
# But the vm power on occurs only after all the dependent
# migrations have completed and hence may take one or two
# passes more depending on how long it takes for migration to
# complete

largemins = RegxExtract("vm:IdleLargeMinInitPlace(\d+) on host:(\S+)", "pass==5")
if len(largemins) != 3:
   print "Expected: 3 IdleLargeMinInitPlace vms are powered on in pass 5"
   fail = 1
#Ensure there is no host admission violation
if (not modifiers.has_key("SkipHostAdmission")) and\
   (RegxMatch(": host admission violated: ")):
   print "Host admission violated"
   fail = 1

#endResultCriteria
