# First 4 PinnedInitPlace2 vms should be on DrmMidCpu1 starting pass 2
pinned2 = RegxExtract("vm:PinnedInitPlace\d+ on host:(\S+)", "pass==2")
size = len(pinned2)
if size != 4:
   print "pinned2 length", size
   fail = 1
for i in range(0, size - 1):
   if pinned2[i] != "DrmMidCpu1":
      print "pinned2", i, pinned2[i]
      fail = 1

# IdleMinInitPlace3 vms should be powered on in pass 3
idlemins = RegxExtract("vm:IdleMinInitPlace3\d+ on host:(\S+)", "pass==3")
if len(idlemins) != 5:
   print "Expected: 5 VMs placed in pass 3"
   fail = 1

# Second 4 PinnedInitPlace vms should be on DrmMidCpu1 starting pass 4
pinned4 = RegxExtract("vm:PinnedInitPlace\d+ on host:(\S+)", "pass==4")
size = len(pinned4)
if size != 8:
   print "pinned4 length", size
   fail = 1
for i in range(0, size - 1):
   if pinned4[i] != "DrmMidCpu1":
      print "pinned4", i, pinned4[i]
      fail = 1

# Third 4 PinnedInitPlace vms should fail to power on with
# InsufficientHostCapacityFault
pinned5 = RegxExtract("vm:PinnedInitPlace\d+ on host:(\S+)", "pass==5")
size = len(pinned5)
if size != 8:
   print "pinned5 length", size
   fail = 1

# For pinned VMs, check for placement faults produced for registered host
faults = RegxExtract("DrmFault: reason powerOnVm, vm PinnedInitPlace(\d+), host DrmMidCpu1, fault .+InsufficientHostCpuCapacityFault*", "pass==5")
size = len(faults)
if size != 4:
   print size, " faults, expecting 4"
   fail = 1

# For pinned VMs, check no placement faults produced for nonregistered hosts
host = RegxExtract("DrmFault: reason powerOnVm, vm PinnedInitPlace14, host (\S+), fault .+InsufficientHostCpuCapacityFault*", "pass==5")
size = len(host)
if size != 1 or host[0] != "DrmMidCpu1":
   print "Faults on nonregistered hosts for pinned VM PinnedInitPlace14"
   fail = 1
host = RegxExtract("DrmFault: reason powerOnVm, vm PinnedInitPlace15, host (\S+), fault .+InsufficientHostCpuCapacityFault*", "pass==5")
size = len(host)
if size != 1 or host[0] != "DrmMidCpu1":
   print "Faults on nonregistered hosts for pinned VM PinnedInitPlace15"
   fail = 1
host = RegxExtract("DrmFault: reason powerOnVm, vm PinnedInitPlace16, host (\S+), fault .+InsufficientHostCpuCapacityFault*", "pass==5")
size = len(host)
if size != 1 or host[0] != "DrmMidCpu1":
   print "Faults on nonregistered hosts for pinned VM PinnedInitPlace16"
   fail = 1
host = RegxExtract("DrmFault: reason powerOnVm, vm PinnedInitPlace17, host (\S+), fault .+InsufficientHostCpuCapacityFault*", "pass==5")
size = len(host)
if size != 1 or host[0] != "DrmMidCpu1":
   print "Faults on nonregistered hosts for pinned VM PinnedInitPlace17"
   fail = 1

#Ensure there is no host admission violation
if (not modifiers.has_key("SkipHostAdmission")) and\
   (RegxMatch(": host admission violated: ")):
   print "Host admission violated"
   fail = 1
