# Check FT limit applied to FT VMs placement
ftvms = RegxExtract("vm:PlaceRound2FTVM\d+ on host:(\S+)", "pass==2")
size = len(ftvms)
if size != 2:
   print "2 FT VMs expected to be powered on", size
   fail = 1
if ftvms[0] != "DrmMidCpu1":
   print "Expected: First FT VM placed in DrmMidCpu1 in pass 2"
   fail = 1
if ftvms[1] != "DrmMidCpu2":
   print "Expected: Second FT VM placed in DrmMidCpu2 in pass 2"
   fail = 1

# After pass 1, check for a distribution taking
# MaxVmsPerESXHostPercent into account,
# as opposed to one with overloading DrmMidCpu1
# that was asked for.
tinyidle = RegxExtract("vm:(\S+) on host:DrmMidCpu1", "pass==1")
size = len(tinyidle)
if size != 4:
   print "4 VMs expected to be powered on on DrmMidCpu1", size
   fail = 1
if tinyidle[0] != "IdleMidMin4":
   print "Expected: IdleMidMin4 first VM to be placed in pass 1"
   fail = 1
if tinyidle[1] != "IdleMidMin5":
   print "Expected: IdleMidMin5 second VM to be placed in pass 1"
   fail = 1
if tinyidle[2] != "IdleMidMin6":
   print "Expected: IdleMidMin6 third VM to be placed in pass 1"
   fail = 1
if tinyidle[3] != "TinyIdle11":
   print "Expected: TinyIdle11 fourth VM to be placed in pass 1"
   fail = 1
