#vm ManualThirdWorkload         1        user DrmMidCpu1
#vm AffineToFirst               1        user DrmMidCpu2
#vm HighlyVariableLoadMin       10       user randhost
#vm TwentyPctAffine             2        user randhost
#vm FullBusyPinned              1        user DrmMidCpu1

#Make sure Affine to first is on same host as manual third workload
# The migration starts in pass 1 and should complete by pass 2

AffineToFirstHost = RegxExtract("vm:AffineToFirst(\d+) on host:(\S+)", "pass >= 2")[0][1]
ManualThirdWorkloadHost = RegxExtract("vm:ManualThirdWorkload(\d+) on host:(\S+)", "pass>=2")[0][1]

if AffineToFirstHost != ManualThirdWorkloadHost:
	print "AffineToFirst on host", AffineToFirstHost, "ManualThirdWorkload on host", ManualThirdWorkloadHost, "expected to be together"
	fail = 1

# Make sure FullBusyPinned is on DrmMidCpu1.
FullBusyPinnedHost = RegxExtract("vm:FullBusyPinned\d+ on host:(\S+)","pass >= 1")
for i in range(0, len(FullBusyPinnedHost)-1):
	if FullBusyPinnedHost[i] != "DrmMidCpu1":
		print "FullBusyPinned on host", FullBusyPinnedHost[i], "in pass", i, "expected to be on host DrmMidCpu1"
		fail = 1

# Check whether AntiAffineToFirst and ManualThirdWorkload are not on the same host.
AntiAffineToFirst = RegxExtract("vm:AntiAffineToFirst\d+ on host:(\S+)", "pass == 2")[0]
if AntiAffineToFirst == ManualThirdWorkloadHost:
	print "AntiAffineToFirst and ManualThirdWorkloadHost both on host", AntiAffineToSecond, "expected to be separate"
	fail = 1

# Check whether Joint1AndAnti2 is on the same host as ManualThirdWorkload and not on the same host as VariableLoad
Joint1AndAnti2 = RegxExtract("vm:Joint1AndAnti2\d+ on host:(\S+)", "pass == 2")[0]
VariableLoad = RegxExtract("vm:VariableLoad\d+ on host:(\S+)", "pass == 2")[0]
if Joint1AndAnti2 != ManualThirdWorkloadHost:
	print "Joint1AndAnti2 on host", Joint1AndAnti2, "ManualThirdWorkload on host", ManualThirdWorkloadHost, "expected to be together"
	fail = 1
if Joint1AndAnti2 == VariableLoad:
	print "Joint1AndAnti2 and VariableLoad both on host", Joint1AndAnti2, "expected to be separate"
	fail = 1

#Ensure there is no host admission violation
if (not modifiers.has_key("SkipHostAdmission")) and\
   (RegxMatch(": host admission violated: ")):
   print "Host admission violated"
   fail = 1
#TODO add check for randvm
