host1 = "vm:\S+ on host:TypicalHost1"
host2 = "vm:(\S+) on host:TypicalHost2"
host3 = "vm:(\S+) on host:DrmBigCpu3"

def checkVMs(t, passno, limit, total, fail):
   host1 = "vm:\S+ on host:TypicalHost1"
   host2 = "vm:\S+ on host:TypicalHost2"
   host3 = "vm:\S+ on host:DrmBigCpu3"
   vms_h1 = TestResult.RegxExtract(t, host1, passno)
   vms_h2 = TestResult.RegxExtract(t, host2, passno)
   vms_h3 = TestResult.RegxExtract(t, host3, passno)

   if len(vms_h1) > limit or len(vms_h2) > limit or len(vms_h3) > limit:
      print "LimitVms constraint violated ", passno
      print vms_h1, vms_h2, vms_h3
      fail = 1

   if len(vms_h1) + len(vms_h2) + len(vms_h3) != total:
      print "Expected ", total, "running VMs in the end of ", passno
      print "Found ", vms_h1, vms_h2, vms_h3
      fail = 1

# Round 1: Total Running VMs = 8
# No host has > 3 VMs
checkVMs(self, "pass==1", 3, 8, fail)

# Round 2: Total Running VMs = 13
# No host has > 5 VMs
checkVMs(self, "pass==2", 5, 13, fail)

# Round 3: Total running Vms, with 2 valid hosts
# No host should have > 8 VMs
checkVMs(self, "pass==3", 8, 13, fail)

# No VM should be in TypicalHost1 (going down)
if len(RegxExtract(host1, "pass==3")) != 0:
   print "Host not evacuated in round 3"
   fail = 1

# Round 4: Total running VMs = 15
# No host should have > 9 VMs
checkVMs(self, "pass==4", 9, 15, fail)
vms_h2_p4 = len(RegxExtract("vm:\S+ on host:TypicalHost2", "pass==4"))

# Round 5: Total running VMs = 15, limit = 10
checkVMs(self, "pass==5", 10, 15, fail)
vms_h2_p5 = len(RegxExtract("vm:\S+ on host:TypicalHost2", "pass==5"))
if vms_h2_p4 >= vms_h2_p5:
   print "LB expected to move some VMs from BigCpu3 to TypicalHost2"
   fail = 1
