
# do not perform test for host admission failure in default.py
modifiers["SkipHostAdmission"] = 1

# Verify this test tests the mandatory moves with pending actions
if not RegxMatch("Mandatory moves required with Pending actions. Applying pending actions"):
   print "No mandatory moves required with pending actions."
   fail = 1

# Check if FullBusyHighShareTwoVcpu1 has a host to itself on the last pass
highShareHost =  RegxExtract("vm:FullBusyHighShareTwoVcpu1 on host:(\S+)","pass==numrounds")
for vm in ["TwoVcpuFullBusy2", "TwoVcpuFullBusy3", "TwoVcpuFullBusyMin4"]:
   host = RegxExtract("vm:"+vm+" on host:(\S+)","pass==numrounds")
   if highShareHost == host:
      print vm, " on the same host as FullBusyHighShareTwoVcpu1. Expected on a different host."
      fail = 1

# Also check there are no ping pong migrations by making sure the number 
# of migrations has not regressed
if CompareStats("numMig"):
   print "Number of migrations regressed."
   fail = 1

#Ensure there is no host admission violation
if (not modifiers.has_key("SkipHostAdmission")) and\
   (RegxMatch(": host admission violated: ")):
   print "Host admission violated"
   fail = 1
