#beginResultCriteria

# Configured max = 4000 (mygroup) + 2000 (insanegroup) + 1000 (insane vm)
if (payload * clusterCpuCapacity) > 7000:
   print "Payload larger than configured max"
   fail = 1

if not RegxMatch("FixMin: set min of node insanegroup rsc cpu to its max, max 2000, min 3000", "pass==0"):
	print "Did not correct insanegroup CPU min"
	fail = 1

if not RegxMatch("FixMin: set min of node insanegroup rsc mem to its max, max 512, min 1024", "pass==0"):
	print "Did not correct insanegroup memory min"
	fail = 1

if not RegxMatch("FixMin: set min of node InsaneVariable14 rsc cpu to its max, max 1000, min 2000", "pass==0"):
	print "Did not correct insane VM's CPU min"
	fail = 1

if not RegxMatch("FixMin: set min of node InsaneVariable14 rsc mem to its max, max 512, min 1024", "pass==0"):
	print "Did not correct insane VM's memory min"
	fail = 1

# 2 FullBusyLargeMin vms should be powered on in pass 1
largemin = RegxExtract("vm:FullBusyLargeMin\d+ on host:(\S+)", "pass==1")
size = len(largemin)
if size != 2:
	print size, " largemin VMs powered on, expecting 2"
	fail = 1

# 4 FullBusyHighShare vms should be powered on in pass 2
highshare = RegxExtract("vm:FullBusyHighShare\d+ on host:(\S+)", "pass==2")
size = len(highshare)
if size != 4:
	print size, " highshare VMs powered on, expecting 2"
	fail = 1

#Ensure there is no host admission violation
if (not modifiers.has_key("SkipHostAdmission")) and\
   (RegxMatch(": host admission violated: ")) and\
   (not RegxMatch("GetHostAdmissionMoves: rejecting non mandatory move")):
   print "Host admission violated"
   fail = 1
#endResultCriteria
