# In pass 1, DRS powers off all but 1 hosts.
poweroffs = RegxExtract("power off host (\S+) in pass 1", "pass==1")
if len(poweroffs) != 14:
	print len(poweroffs), " hosts powered off in pass 1, expecting 14"
	fail = 1

# 1 host should be powered on in pass 2
powerons = RegxExtract("power on host (\S+) in pass 2", "pass==2")
if len(powerons) != 1:
	print len(powerons), " hosts powered on in pass 2, expecting 1"
	fail = 1

# 16 CpuMemIdle vms should be powered on in pass 2
powerons = RegxExtract("vm:CpuMemIdle(\d+) on host:(\S+)", "pass==2")
if len(powerons) != 16:
	print len(powerons), " VMs powered on in pass 2, expecting 16"
	fail = 1

# 1 host should be powered on in pass 5
powerons = RegxExtract("power on host (\S+) in pass 5", "pass==5")
if len(powerons) != 1:
	print len(powerons), " hosts powered on in pass 5, expecting 1"
	fail = 1

# 8 evacuation recommendations in pass 5
recs = RegxExtract("Executing recommendation: hostMaint, 5 stars", "pass==5")
if len(recs) != 8:
	print len(recs), " evacuation recommendations in pass 5, expecting 8"
	fail = 1
