#
# pass/fail criteria
#
# Correctness:
#     1. All vmdks are together for all three vms.
#     2. All three datastores have a vm in it.
#
# Performance:
#     3. All vmdks are moved only once.
#
# Note: Criteria #3 is currently not met due to algorithm limitations.
# This test case is to track progress on the performance side.
#----------------------------------------------------------------------


# Check that VMs are distributed to all three datastores
vm1Ds = RegxExtract("vm:VmMultiDisk1:Disk1000000 on host:(\S+)", "pass==15")
vm2Ds = RegxExtract("vm:VmMultiDisk2:Disk1000000 on host:(\S+)", "pass==15")
vm3Ds = RegxExtract("vm:VmMultiDisk3:Disk1000000 on host:(\S+)", "pass==15")

if (vm1Ds == vm2Ds) or (vm1Ds == vm3Ds) or (vm2Ds == vm3Ds):
   print "Multiple VMs are sharing a datastore: vm1:%s vm:2%s vm3:%s" % (vm1Ds, vm2Ds, vm3Ds)
   fail = 1

# Removing the check for individual disks in snapshot. After modifying the DRS simulator to use a shared random number generator 
# implementation across Linux and Windows, we get a different sequence of random numbers and consequently different sequences 
# of actions from the algorithm. As such, it is not clear whether "individual disks in the snapshot at pass 15" is still reasonable
# pass-criteria for this test.
'''
# Check that individual disks are no longer in the snapshot
VmDisk1 = RegxExtract("Disk1 on host:(\S+)", "pass==15")
VmDisk2 = RegxExtract("Disk2 on host:(\S+)", "pass==15")

if (len(VmDisk1) != 0) or (len(VmDisk2) != 0):
   print "Individual Vmdks are represented in the snapshot"
   print "   --> Disk1 : %s" % VmDisk1
   print "   --> Disk2 : %s" % VmDisk2
   fail = 1
'''
