#
# pass/fail criteria
#
pass1Moves =  RegxExtract("starting storage migration of vm StorageWorkload3 vmdk", "pass==1")
if len(pass1Moves) != 1:
   print "Expecting to move 1 disk of StorageWorkload3 in pass 1 for load balancing. Got ", len(pass1Moves), " moves in pass 1."
   fail = 1

sw1disks = RegxExtract("Launching vm StorageWorkload1 disk (\S+) diskId (\S+) DrmId (\S+) on datastore (\S+)", "pass==2")
sw2disks = RegxExtract("Launching vm StorageWorkload2 disk (\S+) diskId (\S+) DrmId (\S+) on datastore (\S+)", "pass==2")

if len(sw1disks) != 2 or len(sw2disks) != 2:
   print "2 disks per VM are expected to be created in pass 2. Got ", len(sw1disks), " and ", len(sw2disks), " instead."
   fail = 1
else:
   # check if the disks are placed on the same host
   if sw1disks[0][3] != sw1disks[1][3]:
      print "StorageWorkload1 disks are not placed on the same host during initPlace"
      fail = 1
   if sw2disks[0][3] != sw2disks[1][3]:
      print "StorageWorkload2 disks are not placed on the same host during initPlace"
      fail = 1
  
pass3Moves =  RegxExtract("starting storage migration of vm StorageWorkload3 vmdk", "pass==3")
if len(pass3Moves) != 1:
   print "Expecting to move 1 disk of StorageWorkload3 in pass 3 for affinity. Got ", len(pass3Moves), " moves in pass 3."
   fail = 1

pass4Moves =  RegxExtract("starting storage migration of vm ", "pass==4")
if len(pass4Moves) % 2 != 0:
   print "Expecting to move 2 disks of each VM together for mmode in pass 4. Got ", len(pass4Moves), " moves in pass 4."
   fail = 1

pass6Moves =  RegxExtract("starting storage migration of vm ", "pass>=6")
if len(pass6Moves) % 2 != 0:
   print "Expecting to move 2 disks of each VM together for balancing in pass 6 or beyond. Got ", len(pass6Moves), " moves instead."
   fail = 1


