#
# pass criteria for vmdkAntiAffineCorrelation
#

#
# Extract number of simulation rounds
#
numRounds = 0
roundEx = RegxExtract("dummydrm finished (\d+) rounds")
if len(roundEx) == 1:
    numRounds = int(roundEx[0])
else:
    print 'Test did not complete'
    fail = 1

migEx = "starting storage migration of vm (\S+) vmdk (\S+) "
migEx += "from DS (\S+) to DS (\S+)"

corr1 = set(['Medium1', 'Medium2', 'Medium3'])
corr2 = set(['Medium1', 'Medium2', 'Medium4'])
corr3 = set(['Medium1', 'Medium3', 'Medium4'])
corrMap = {0:corr1, 1:corr1, 2:corr1, 3:corr1,
           4:corr2, 5:corr2, 6:corr2, 7:corr2,
           8:corr3, 9:corr3, 10:corr3, 11:corr3}

for curRound in range(numRounds):
    migs = RegxExtract(migEx, "pass=%d" % curRound)
    for mig in migs:
        srcDs = mig[2]
        dstDs = mig[3]
        corrDs = corrMap[curRound]
        if (dstDs in corrDs) and (srcDs in corrDs):
            print 'got migration between correlated datastores:', mig
            print 'round %d src %s dst %s' % (curRound, srcDs, dstDs)
            fail = 1
