#

# Changing the rule violation regex from 'Vim::Fault::RuleViolation' to 'RuleViolation' to avoid a COND result on Linux.
# The COND on Linux stems from the mangling of the DrmFault message in the drmoutput.txt files.
# Instead of getting (on Windows): 
# 'DrmFault: reason powerOnVm, vm NotFoundObject, host Medium1, fault [class Vim::Fault::RuleViolation:05F72C10]'
# We get (on Linux):
#  'DrmFault: reason powerOnVm, vm NotFoundObject, host Medium1, fault [N3Vim5Fault13RuleViolationE:0x3811f00]'
# So the pattern match for Vim::Fault::RuleViolation passes on Windows but fails on Linux resulting in a COND.

# Check rule vio fault issued in pass 2
if not RegxMatch("RuleViolation", "pass==2"):
   print "rule violation in pass 2"
   fail = 1
#
# Check rule vio fault issued in pass 3
if not RegxMatch("RuleViolation", "pass==3"):
   print "rule violation in pass 3"
   fail = 1
#
# Check fault trying to correct anti-affine violation in pass 5
if not RegxMatch("DrmFault: reason antiAffin,", "pass==5"):
   print "anti-affine violation pass 5"
   fail = 1
