# The 2 VMs initially running on DrmSmallCpu1 have excessive memory
# utilization, but reasonable cpu utilization.  When DPM considers
# powering on DrmUniCpu2 in pass 2 (host is disconnected in pass 1
# to allow time for VM load history to stabilize), that host will
# greatly reduce per-host memory utilization, but worsen per-host cpu
# utilization by somewhat more, because the VM moved to DrmUniCpu2
# will consume a large percentage of the cpu resources.  This looks
# like a good trade-off, given the memory/cpu weighting code.

#exclude default_hosts

host DrmSmallCpu 1
host DrmUniCpu 1 DRM_HOST_NOT_CONNECTED

vm BigMemWorkload 2 user DrmSmallCpu1

event:hostStateChange DrmUniCpu2 2 DRM_HOST_STANDBY

