# DRM simulator test scenarios for the datastore maintenance mode
#
# 3 Small datastores of equal capacity 2 TB 
# several vmdks spread around data datastores, each vmdk is 100G
# -- ds1:  4 vmdks
# -- ds2:  8 vmdks
# -- ds3: 12 vmdks
#
# 1. ds3 enters into maintenance mode
#    result: 12 vmdks evacuated, ds1 and ds2 both end up with 12 vmdks each
#
# 2. ds3 comes out of maintenance mode 
#    result: ds3 gets back 8 vmdks back
#
# 3. ds1 enters into maintenance mode
#    result: ds2 and ds3 gets all the evacuated vms
#   
# 4. ds2 enters into maintenance mode
#    result: failure, since there is not enough space to evacuate
#
# Note: datastore and host events are treated as equal:
#      hostStateChange     == datastoreStateChange
#      DRM_HOST_GOING_DOWN == DRM_DATASTORE_GOING_DOWN
#      DRM_HOST_OK         == DRM_DATASTORE_OK
#

numrounds = 4
storageSimulation=1

datastore Small 3

vm VmWithSmallDisk  4 user randhost/Small1
vm VmWithSmallDisk  8 user randhost/Small2
vm VmWithSmallDisk 12 user randhost/Small3

event:hostStateChange Small3 1 DRM_HOST_GOING_DOWN
event:hostStateChange Small3 2 DRM_HOST_OK
event:hostStateChange Small1 3 DRM_HOST_GOING_DOWN
event:hostStateChange Small2 4 DRM_HOST_GOING_DOWN
