# Pass 1 is intended to test the following 2 host scenario. One host
# w/running VM(s) [DrmSmallCpu3] is requested to enter maintenance
# mode & the only other host available (DrmSmallCpu2) is in the
# process of entering standby mode.  W/ DRS/DPM ProposeAction using
# enter-standby host, evacuation can be scheduled in pass 1; w/o it,
# evacuation reports fault in pass 1 & is not addressed until pass 2.

# Pass 3 is intended to test VM placement that can only be done on
# the host entering standby.  PinnedInitPlace2 is hostaffine w/DrmMidCpu1;
# its placement attempt in pass 3 would report fault w/o DRS/DPM
# capability to schedule placement of VM on host entering standby.

# Pass 4 tests case where host entering standby can't be evacuated &
# shouldn't be mapped to standby.  Powered-on VM PinnedInitPlace2 is host-
# affine to DrmMidCpu1, so DrmMidCpu1 enter-standby request stalls wrt evac.

#exclude default_hosts

NumUnreservedSlots = 0
numrounds = 5

host DrmMidCpu 1
host DrmSmallCpu 2

vm FullBusyLargeMin 1 user DrmSmallCpu3
vm PinnedInitPlace  1 user delayplace

event:hostStateChange DrmSmallCpu2 1 DRM_HOST_ENTER_STANDBY
event:hostStateChange DrmSmallCpu3 1 DRM_HOST_GOING_DOWN

event:hostStateChange DrmMidCpu1 1 DRM_HOST_GOING_DOWN
event:hostStateChange DrmMidCpu1 2 DRM_HOST_OK
event:hostStateChange DrmMidCpu1 3 DRM_HOST_ENTER_STANDBY
event:place PinnedInitPlace2 3  DrmMidCpu1

event:hostStateChange DrmMidCpu1 4 DRM_HOST_ENTER_STANDBY
event:hostStateChange DrmMidCpu1 5 DRM_HOST_OK
