# All 15 hosts will be kept on to respect MinPoweredOnMemCapacity,
# until it is reduced in pass 3.  But in pass 3, simulator inserts
# pending vmotion, so host power down of target host is rejected.

# Full cluster memory size is 30720, inducing fault in passes < 3
# Full cluster cpu size is 60000, inducing fault in passes < 3
# Code should report cpu-related fault, since shortage ratio higher
MinPoweredOnMemCapacity = 32768
MinPoweredOnCpuCapacity = 80000

vm ThirdWorkload 15 user randhost

event:setadvoption MinPoweredOnMemCapacity 3 2048
event:setadvoption MinPoweredOnCpuCapacity 3 1
numrounds = 4
