# Expected events in pass 1: 

# 1. The memory reservations of the 30
# VariableLoadMemMin VMs under group "child" will be dropped to 0
# because the "child" group has a memory limit of 2048 MB. Then the
# memory limit of "child" will be increased to 75 * 30 = 2250 MB to
# satisfy the overhead reservations of the VMs.

# 2. The expandable memory reservation of "child11" will be set to true 
# because the sum of overhead memory of its children (75 * 10 = 750 MB) 
# exceeds its reservation (512 MB). Then the child memory reservations of 
# "child1" will be scaled by a factor of (2048 - 75 * 14) / 
# (1400 + 750 - 75 * 14) = 0.90, because the reservation of "child1" 
# (2048 MB) is less than child reservations (750 + 1400 = 2150 MB).

# 3. The CPU reservations of FullBusyMidMin will be scaled from 500
# MHz to 250 MHz, because the parent pool "child12" has a CPU
# reservation of 1000 MHz.

#exclude default_hosts

host DrmSmallCpu 1
host DrmMidMem 2

group BasicGroup parent user
group MaxLimGroup child parent
group LargeMinGroupNew child1 parent
group SmallMemMinGroup child11 child1
group MidCpuMinGroup child12 child1

vm ThirdWorkload     	2         parent DrmSmallCpu1
vm FullBusyMidShare	3         user DrmMidMem2
vm VariableLoadMemMin   6         child DrmMidMem2
vm VariableLoadMemMin   6	  child11 DrmMidMem3
vm FullBusyMidMin       4         child12 DrmMidMem3
