#exclude default_hosts

# This test is added to capture the failure scenario in PR 1387074
#
# This cluster has one host, one agent VM, one non-agent VM and four spare VMs.
# The VMs are configured in such a way that the root capacity is not sufficient
# for all the six VMs in the cluster.
#
# Round 1: In such a case, _rootGroup->CheckAndFix will drop the spare VMs
# before running load balancing. The checker will verify that this logic works
# as expected.
#
# Round 2: The test will attempt to power-on a new VM. This should fail with
# InsufficientMemoryResources fault since there isn't enough capacity.
#
# Round 3: Marks the agent VM as suspended.
#
# Round 4: The test will attempt to power-on a new VM. This should fail similar
# to round 2, since DRS accounts for suspended agent VMs.


host DrmBigCpu 1
group ExpandableGroup   agent user
vm PinnedBigCpu1Vm           1  agent DrmBigCpu1
vm HighlyVariableLoadMin     1  user  randhost
vm HighlyVariableLoadMin     2  user  delayplace
event:agentVmTag PinnedBigCpu1Vm1 1 on
NumUnreservedSlots=10
numrounds=4

event:place HighlyVariableLoadMin3 2 randhost
event:vmStateChange  PinnedBigCpu1Vm1     3 DRM_VM_SUSPENDED
event:place HighlyVariableLoadMin4 4 randhost
