# Anti Affinity rules with datastore correlations When fixing anti
# affinity rule violations, correlated datastores should not be used:
# e.g., if A and B is correlated, it is not OK to use datastore A for
# vm1 and datastore B for vm2 to fix an anti affinity rule between vm1
# and vm2

numrounds = 12
storageSimulation=1
SetSpaceLoadToDatastoreUsedMB=0

datastore Medium 4
datastoreSet corrSet1 Medium1,Medium2,Medium3
datastoreSet corrSet2 Medium1,Medium2,Medium4
datastoreSet corrSet3 Medium1,Medium3,Medium4

vm StorageWorkload		3	   user randhost/Medium1

event:antiAffineVm StorageWorkload1 2 StorageWorkload2
event:antiAffineDisk DefaultDisk5 4 DefaultDisk6

event:correlation Medium1 1 corrSet1
event:correlation Medium1 4 corrSet2
event:correlation Medium1 8 corrSet3
